com.microfocus.awm.meta.interfaces

## Interface RDecorationValue

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RDecorationValueImpl

      public interface RDecorationValue
      extends AWMObject

  The relationship Text_Decoration_Has_Decoration_Values allows to associate property values and/or static values with a text decoration of an element type's label.

  The following features are supported:

  - `Seq No`
  - `Target ID`
  - `Static Value`
  - `Decoration Value Visible Condition`
  See Also:
    `TaurusPackage.getRDecorationValue()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RVisibleCondition` | `getDecorationValueVisibleCondition()` Returns the value of the 'Decoration Value Visible Condition' containment reference.
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `java.lang.String` | `getStaticValue()` Returns the value of the 'Static Value' attribute.
    `Property` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `void` | `setDecorationValueVisibleCondition(RVisibleCondition value)` Sets the value of the '`Decoration Value Visible Condition`' containment reference.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setStaticValue(java.lang.String value)` Sets the value of the '`Static Value`' attribute.
    `void` | `setTargetID(Property value)` Sets the value of the '`Target ID`' reference.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      The position of the property value or static value within the text decoration.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRDecorationValue_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### getTargetID

          Property getTargetID()

      Returns the value of the 'Target ID' reference. Reference to a property whose value should be shown in the text decoration.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(Property)`, `TaurusPackage.getRDecorationValue_TargetID()`

    - #### setTargetID

          void setTargetID(Property value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### getStaticValue

          java.lang.String getStaticValue()

      Returns the value of the 'Static Value' attribute.
      Static value to be shown in the text decoration.
      Returns:
        the value of the 'Static Value' attribute.
      See Also:
        `setStaticValue(String)`, `TaurusPackage.getRDecorationValue_StaticValue()`

    - #### setStaticValue

          void setStaticValue(java.lang.String value)

      Sets the value of the '`Static Value`' attribute.
      Parameters:
        `value` - the new value of the 'Static Value' attribute.
      See Also:
        `getStaticValue()`

    - #### getDecorationValueVisibleCondition

          RVisibleCondition getDecorationValueVisibleCondition()

      Returns the value of the 'Decoration Value Visible Condition' containment reference. By this complex attribute it is possible to define rules under which the element's property should be shown in the Eclipse Property view.
      Returns:
        the value of the 'Decoration Value Visible Condition' containment reference.
      See Also:
        `setDecorationValueVisibleCondition(RVisibleCondition)`, `TaurusPackage.getRDecorationValue_DecorationValueVisibleCondition()`

    - #### setDecorationValueVisibleCondition

          void setDecorationValueVisibleCondition(RVisibleCondition value)

      Sets the value of the '`Decoration Value Visible Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Decoration Value Visible Condition' containment reference.
      See Also:
        `getDecorationValueVisibleCondition()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.